import { useQuery, useMutation } from "urql";
import { createContext } from "react";
import buildMqlUrqlClient from "../../utils/builMqlUrqlClient";
// TODO: Make this configurable when needed
export var CORE_API_URL = "https://transform-staging.hasura.app/v1/graphql";
export var MqlContextInitialState = {
    coreApiUrl: CORE_API_URL,
    mqlServerUrl: null,
    setMqlServer: function () { return Promise.resolve(); },
    mqlServerOverrideLoading: false,
    modelKey: null,
    setModelKey: function () { return Promise.resolve(); },
    modalKeyOverrideLoading: false,
    mqlClient: buildMqlUrqlClient(function () { return Promise.resolve(""); }, CORE_API_URL),
    getToken: function () { return Promise.resolve(""); },
    useQuery: useQuery,
    useMutation: useMutation,
    handleCombinedError: function (e) {
        throw new Error(e.message);
    },
};
export default createContext(MqlContextInitialState);
