var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import "../styles/globals.css";
import MqlContextProvider from "../context/MqlContext/MqlContextProvider";
// Note: In a production system, this might include the ability to fetch from a cookie
// or fetch remotely, re-validate, etc.
function getToken() {
    return Promise.resolve("" + process.env.NEXT_PUBLIC_TOKEN);
}
// @ts-ignore
export default function TransformReactDemo(_a) {
    var Component = _a.Component, pageProps = _a.pageProps;
    return (React.createElement(MqlContextProvider, { getToken: getToken, isAuthenticated: true },
        React.createElement(Component, __assign({}, pageProps))));
}
